Issue 995 changes --context : {--human-readable, --xml-output} have no effect.

Title changes --context : {--human-readable, --xml-output} have no effect.
Priority bug Status resolved
Milestone 2.1.x Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, jaredj, kowey, nwf, thorkilnaur
Assigned To
Topics ProbablyEasy, UI

Created on 2008-08-14.00:52:22 by nwf, last changed 2010-06-15.21:47:46 by admin.

msg5497 (view) Author: nwf Date: 2008-08-14.00:52:16
Running "darcs changes --context" seems to ignore --human-readable and
--xml-output, perhaps as it should, but then the documentation is wrong.  I'm 
not sure which way this goes.

Quoth the source (Darcs/Command/Changes.lhs):

190 changelog opts patchset (pis, fs, errstring)
191     | Count `elem` opts = -- ...
192     | MachineReadable `elem` opts =
196     | XMLOutput `elem` opts =
263 changes_context repository opts = do
267     putDocLnWith simplePrinters $ changelog opts' NilRL ...
270     where opts' = MachineReadable : opts

And the dox:

255 ... Note that
256 while the \verb!--context! flag may be used in conjunction with
257 \verb!--xml-output! or \verb!--human-readable!, in neither case will darcs
258 get be able to read the output.  On the other hand, sufficient information
259 \emph{will} be output for a knowledgeable human to recreate the current
260 state of the repository.

The point is that because opts' includes MachineReadable, changelog will
match that guard before any other (except --count, which is forbidden with
--context earlier).  Thus --xml-output and --human-readable are effectively

msg5564 (view) Author: droundy Date: 2008-08-17.14:30:49
It's a bug in the documentation.
msg5605 (view) Author: dmitry.kurochkin Date: 2008-08-19.15:12:17
David, you said it is a bug in the documentation. But applied my patch which
fixes the problem.

I suppose either the patch should be reverted (and documentation fixed) or
documentation is correct (at least now).

Another question, should I feel free to close bugs that are (supposed to be)
fixed by my patches?
msg5606 (view) Author: kowey Date: 2008-08-19.15:15:53
> Another question, should I feel free to close bugs that are (supposed to be)
> fixed by my patches?

Not only should you feel free to do this, you should also consider
starting the relevant patch names with 'Resolve issueNNNN', so that it
gets automatically picked up by the roundup-darcs integration that
Mark implemented.

(It also makes things easier in the future when we are trying to
figure out what happened in darcs's own history)
msg5607 (view) Author: dmitry.kurochkin Date: 2008-08-19.15:23:41
The following patch updated the status of issue995 to be resolved:

* Resolve issue995: changes --context : {--human-readable,--xml-output} have no effect.
msg5608 (view) Author: droundy Date: 2008-08-19.15:27:00
I said it was a bug in the docs, but your change was pretty enough that I
decided to just apply it.  And yes, you can resolve any bugs you think are
fixed.  If you aren't certain, just add a note to the bug saying that you think
it should be closed, but aren't certain.  Plus what Eric said.  :)

Date User Action Args
2008-08-14 00:52:22nwfcreate
2008-08-14 10:15:58koweysettopic: + Target-2.1
nosy: beschmi, kowey, darcs-devel, dagit, simon, jaredj, nwf
2008-08-17 14:30:57droundysetstatus: unread -> unknown
nosy: + droundy
messages: + msg5564
2008-08-19 15:12:24dmitry.kurochkinsetnosy: + dmitry.kurochkin
messages: + msg5605
2008-08-19 15:15:55koweysetnosy: droundy, beschmi, kowey, darcs-devel, dagit, simon, jaredj, dmitry.kurochkin, nwf
messages: + msg5606
title: changes --context : {--human-readable,--xml-output} have no effect -> changes --context : {--human-readable, --xml-output} have no effect
2008-08-19 15:23:42dmitry.kurochkinsetstatus: unknown -> resolved-in-unstable
nosy: droundy, beschmi, kowey, darcs-devel, dagit, simon, jaredj, dmitry.kurochkin, nwf
messages: + msg5607
title: changes --context : {--human-readable, --xml-output} have no effect -> changes --context : {--human-readable, --xml-output} have no effect.
2008-08-19 15:27:08droundysetnosy: - darcs-devel
messages: + msg5608
2009-04-22 03:31:46twbsetstatus: resolved-in-unstable -> resolved
nosy: + thorkilnaur
2009-08-06 17:59:48adminsetnosy: + markstos, jast, Serware, darcs-devel, zooko, mornfall, tommy, - droundy, jaredj, nwf
2009-08-06 21:10:51adminsetnosy: - beschmi
2009-08-10 22:22:08adminsetnosy: + nwf, jaredj, - tommy, markstos, darcs-devel, zooko, jast, Serware, mornfall
2009-08-11 00:20:20adminsetnosy: - dagit
2009-08-25 17:24:29adminsetnosy: + darcs-devel, - simon
2009-08-27 14:18:37adminsetnosy: kowey, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin, nwf
2010-06-15 21:47:45adminsetmilestone: 2.1.x
2010-06-15 21:47:46adminsettopic: - Target-2.1